Transferências
--url 'https://updow.lat/api/transfers/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| page | Opcional Inteiro | O número da página que você quer resultados. Padrão para 1. |
| results_per_page | Opcional Inteiro | Quantos resultados você quer por página. Valores permitidos são: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Padrão para 25. |
--url 'https://updow.lat/api/transfers/{transfer_id}' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| uploaded_files | Obrigatório Array Inteiro | Array contendo UUID's para todos os arquivos enviados a serem anexados a esta transferência. |
| type | Opcional String | Valores permitidos: link , email |
| email_to | Opcional String | Disponível quando: type = email |
| name | Opcional String | - |
| description | Opcional String | - |
| url | Opcional String | - |
| domain_id | Opcional Inteiro | - |
| project_id | Opcional Inteiro | - |
| pixels_ids | Opcional Array Inteiro | - |
| download_notification_handlers_ids | Opcional Array Inteiro | - |
| expiration_datetime | Opcional String | Y-m-d H:i:s |
| downloads_limit | Opcional Inteiro | - |
| password | Opcional String | - |
| file_encryption_is_enabled | Opcional Booleano | - |
| file_preview_is_enabled | Opcional Booleano | - |
| gallery_file_preview_is_enabled | Opcional Booleano | - |
| is_removed_branding | Opcional Booleano | - |
| custom_css | Opcional String | - |
| custom_js | Opcional String | - |
--url 'https://updow.lat/transfer/create_api' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'uploaded_files[]=de09be56-639f-4213-863b-5ea1aa065970' \
--form 'name=Example name' \
--form 'description=Example description' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| name | Opcional String | - |
| description | Opcional String | - |
| url | Opcional String | - |
| domain_id | Opcional Inteiro | - |
| project_id | Opcional Inteiro | - |
| pixels_ids | Opcional Array Inteiro | - |
| download_notification_handlers_ids | Opcional Array Inteiro | - |
| expiration_datetime | Opcional String | Y-m-d H:i:s |
| downloads_limit | Opcional Inteiro | - |
| file_preview_is_enabled | Opcional Booleano | - |
| gallery_file_preview_is_enabled | Opcional Booleano | - |
| is_removed_branding | Opcional Booleano | - |
| custom_css | Opcional String | - |
| custom_js | Opcional String | - |
--url 'https://updow.lat/api/transfers/{transfer_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=transfer.com' \
--url 'https://updow.lat/api/transfers/{transfer_id}' \
--header 'Authorization: Bearer {api_key}' \